package Source::Package;

use strict;
use warnings;

sub new {
    my $proto=shift;
    my $class=ref($proto) || $proto;
    my $self = {
	-version => 0,
	-release => 0,
	@_,
    };
    bless($self,$class);
}

sub version {return $_[0]->{-version}}
sub release {return $_[0]->{-release}}
sub epoch {return $_[0]->{-epoch}}
sub name {return $_[0]->{-name}}
sub file {return $_[0]->{-file}}
sub url {return $_[0]->{-url}}

1;
